Subject: -50 errors when copying folders?

From: David R Bosso <[email-masked]>
Date: Tue, 11 Jul 2000 16:17:15 -0700

I've been lurking for a while, and have finally gotten around to giving 
netatalk a try.  I've got asun2.1.4-39_test installed on a RedHat 6.2 
system.  My volume is has the owner and group set to my test user's, and 
it's currently chmod 777 with the setgid bit on.

The server is running afpd only - all TCP, no Appletalk.

I'm using a B&W G3 running OS 9.0.4 as a client, and am trying to copy 
files to the server.  Copying large files is no problem, but when I try to 
copy a complex folder (containing files, subfolders with files etc.) I get 
the following error:

The item "some file name that's a couple of folders deep" cannot be 
written, because an error of type -50 occurred.  Do you want to continue?

Any idea what's causing this?  Has anyone else seen this?

Thanks.

-David